function E = computeError(communityStatistics)
%computeLL Computes the error expecting only 1s inside the xommunity and
%only 0s outside the community
observed1sInside = communityStatistics(1);
observed1sOutside = communityStatistics(2);
expectedAreaInside = communityStatistics(3);
expectedAreaOutside = communityStatistics(4);

observed0sInside = expectedAreaInside - observed1sInside;

E = (observed0sInside + observed1sOutside) / (expectedAreaInside + expectedAreaOutside);
end
