color = [1, 0.5, 0];%[1, 0, 0; 1, 0.8, 0; .2, .7, 0.1; .0, 0.5, 1];
markerSize = 5;

figure; 
hold on;
N = 100;
x= 0.5;
sigmas = [50, 100, 200,600,1500];
for sigma = sigmas
    %sigma = 50; %(1-x)*(i*j)+(x)*(i+j);
    p = getPFromX(x);
    theta = getThetaFromP(p, sigma);
    syms a
    f(a) = (theta-(a+p)*p)/(a+p);
    h = ezplot(f, [0, 1:N]);
    set(h, 'LineWidth', 2);
    set(h, 'Color', [.3 .6 .2]);
    if x==0.5 && sigma==200
           set(h, 'Color', color);
    end
 
end
title ''
axis equal,axis tight
ylim([0,N]);
xlim([0,N]);
xlabel('');
set(gca, 'FontSize', 12);

figure; 
hold on;
N = 100;
xs= [0.001, 0.5, 0.9, 0.97, 0.99];
sigma = 200;
for x = xs
    p = getPFromX(x);
    theta = getThetaFromP(p, sigma);
    syms a
    f(a) = (theta-(a+p)*p)/(a+p);
    h = ezplot(f, [0, 1:N]);
    set(h, 'LineWidth', 2);
    set(h, 'Color', [.3 .6 .2]);
    if x==0.5 && sigma==200
           set(h, 'Color', color);
    end
end
title ''
axis equal,axis tight
ylim([0,N]);
xlim([0,N]);
xlabel('');
set(gca, 'FontSize', 12);

