dataset = {'polbooks', 'jazz', 'Erdos971', 'email'};
ks = [ 6 5 8 10];
for i=1:length(ks);
    d = char(dataset(i));
    k = ks(i);
    load(['../data/' d '.mat'], 'Problem');X = Problem.A;
    L = mmread(['basso/src/cmdline/' d '_L.mtx']);
    R = mmread(['basso/src/cmdline/' d '_R.mtx']);
    %figure, imagesc(X(L(:,1)>0, L(:,1)>0)), colormap(flipud(gray)), title(d);
    %figure, imagesc(degree_ord(X(L(:,1)>0, L(:,1)>0))), colormap(flipud(gray)), title(d);
    %L =R';
    comms = repmat(struct('p1',0), k, 1 );
    for j=1:k
        comms(j).members = find(L(:,j)>0); 
        [comms(j).comm, ord] = degree_ord(X(comms(j).members, comms(j).members));
        comms(j).members = comms(j).members(ord);
        comms(j).p2=floor(length(comms(j).members)/2-1);
        comms(j).paramType='H,gamma';
    end
    
    res=improveModel(X, comms, true);

    blockComms = repmat(struct('p1',0), k, 1 );
    for j=1:k
        blockComms(j).p1=length(comms(j))-1;
        blockComms(j).p2=length(comms(j))-1;
        blockComms(j).paramType='H,gamma';
        blockComms(j).members = comms(j).members;
        blockComms(j).model = makeCommunity(length(blockComms(j).members),blockComms(j).p1, blockComms(j).p2 , getCondition(blockComms(j).paramType));
    end

    LL = computeLLOfGraph(X,res)
    blockLL = computeLLOfGraph(X,blockComms)
    for j=1:k
        plotCommunity(res(j));
    end
    D = 2*(LL-blockLL);
    fprintf('%.1f\n', D);
end

